import com.sun.star.beans.PropertyValue;
import com.sun.star.comp.helper.Bootstrap;
import com.sun.star.frame.XComponentLoader;
import com.sun.star.frame.XDesktop;
import com.sun.star.lang.XComponent;
import com.sun.star.lang.XMultiComponentFactory;
import com.sun.star.text.XText;
import com.sun.star.text.XTextDocument;
import com.sun.star.uno.UnoRuntime;
import com.sun.star.uno.XComponentContext;

class CreateTextDocument {
   public static void main (String args[]) {
      try {
         XComponentContext xContext=Bootstrap.bootstrap();  // bootstrap UNO
         XMultiComponentFactory xMCF=xContext.getServiceManager();
         if (xMCF != null) {
           Object oDesktop=xMCF.createInstanceWithContext("com.sun.star.frame.Desktop", xContext);
           XDesktop xDesktop=(XDesktop) UnoRuntime.queryInterface(XDesktop.class, oDesktop);

           XComponentLoader xComponentLoader=(XComponentLoader)
               UnoRuntime.queryInterface(XComponentLoader.class, xDesktop);

           String url="private:factory/swriter";            // define a text document
           PropertyValue noProps[]=new PropertyValue[0];    // no properties
           XComponent xWriterComponent=xComponentLoader.loadComponentFromURL(
                                                    url, "_blank", 0, noProps);

// Fortsetzung nchste Seite ...
// ... Fortsetzung von vorheriger Seite

           XTextDocument xTextDocument=(XTextDocument)
                       UnoRuntime.queryInterface(XTextDocument.class, xWriterComponent);

           XText xText=xTextDocument.getText();
           xText.setString("Hallo Chemnitz, hier spricht Java!");
        }
      }
      catch( Exception e) {
         e.printStackTrace(System.err);
         System.exit(1);
      }
      System.exit(0);
   }
}

