#!/usr/bin/rexx

/* Mehrfach-Vererbung */
.StrassenFahrzeug ~new("LKW")        ~fahre
.WasserFahrzeug   ~new("Boot")       ~schwimme
.AmphibienFahrzeug~new("SchwimmAuto")~zeigWasDuKannst

::CLASS  Fahrzeug       /* Definiere eine Klasse, die "Fahrzeug" heien soll  */
::METHOD name ATTRIBUTE /* Definiere Attributmethode fr "name"               */
::METHOD init           /* Implementiere eine Konstruktormethode              */
  self~name=ARG(1)      /* Argument wird dem Objektattribut "name" zugewiesen */

::CLASS  StrassenFahrzeug  MIXINCLASS Fahrzeug /* Definiere Straenfahrzeuge  */
::METHOD fahre          /* define das Verhalten "fahre"                       */
  SAY self~name": 'Ich fahre jetzt...'"   /* fragt Objektattribut "name" ab   */

::CLASS  WasserFahrzeug    MIXINCLASS Fahrzeug  /* Definiere Wasserfahrzeuge  */
::METHOD schwimme       /* define das Verhalten "schwimme"                    */
  SAY self~name": 'Ich schwimme jetzt...'"

::CLASS AmphibienFahrzeug  SUBCLASS StrassenFahrzeug INHERIT WasserFahrzeug
::METHOD zeigWasDuKannst/* zeige Effekt der Mehrfachvererbung                 */
  self~fahre            /* Methode aus Klasse "StrassenFahrzeug"              */
  self~schwimme         /* Methode aus Klasse "Wasserfahrzeug"                */

