#!/usr/bin/rexx
call uno.cls   /* rufe das Programm "UNO.CLS" auf (OOo-Untersttzung)   */
oDesktop=UNO.createDesktop()     /* erstelle das OOo-Desktop-Objekt     */
xComponentLoader=oDesktop~XDesktop~XComponentLoader
        /* URL-Definition bewirkt das Erzeugen eines leeren Calc-Dokuments   */
url = "private:factory/scalc"   /* URL knnte auch auf Datei verweisen */
calc=xComponentLoader~loadComponentFromURL(url,"_blank", 0, .UNO~noProps)
   /* lade die Sammlung der Calc-Bltter                                */
xs=calc~XSpreadSheetDocument~getSheets~XIndexAccess~getByIndex(0)~XSpreadSheet
   /* Informations-Dialog zeigen */
.bsf.dialog~messageBox("Hallo Chemnitz, hier spricht ooRexx!")
str="ooRexx, am" date("S",,,"-") time('L')
call uno.setCell xs, "A1", str "(aktuelle UNO-Definitionen abfragen.)"

   /* zeige Services und Interfaces eines Textdokuments        */
i=trageInfosEin(xs, "Services",   calc~uno.getServiceNames,   2)
i=trageInfosEin(xs, "Interfaces", calc~uno.getInterfaceNames, i)


::requires UNO.CLS /* ruft als Allererstes das Programm "UNO.CLS" auf */

::routine trageInfosEin   /* trgt Infos in Tabellenkalkulationsblatt ein*/
  use arg xs, titel, verkodierteInfos, startZeile
      /* Koordinaten knnen auch als (0-basierte) Zahlen angegeben werden: */
  call uno.setCell xs, 0, startZeile, titel /* Titel eintragen         */
  do i=startZeile+1 while verkodierteInfos<>""
     parse var verkodierteInfos info verkodierteInfos /* zerlege String    */
     call uno.setCell xs, 1, i, info        /* Zeige extrahierte Info  */
  end
  return i     /* liefere nchste Zeileposition zurck   */

